Delete traces from a project
curl --request DELETE \
--url https://api.example.com/v1/projects/{project_identifier}/tracesimport requests
url = "https://api.example.com/v1/projects/{project_identifier}/traces"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/v1/projects/{project_identifier}/traces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>""<string>""<string>"Traces
Delete traces from a project
Delete traces from a project without deleting the project or its configuration. Only traces whose start time is within the required [start_time, end_time) interval are deleted. Associated spans are cascade deleted, and project sessions left with no remaining traces are also deleted. Naive datetimes are interpreted as UTC.
DELETE
/
v1
/
projects
/
{project_identifier}
/
traces
Delete traces from a project
Path Parameters
The project identifier: either project ID or project name.
Query Parameters
Required inclusive lower bound on trace start time (ISO 8601).
Required exclusive upper bound on trace start time (ISO 8601).
Response
No content returned after the matching traces are deleted
Was this page helpful?

